package jrummikub.view;

import java.util.Collection;

import jrummikub.model.Stone;

/**
 * The top-level view interface
 */
public interface IView {
  /**
   * Returns the table
   * 
   * @return the table
   */
  public ITablePanel getTablePanel();

  /**
   * Returns the player panel
   * 
   * @return the playerPanel
   */
  public IPlayerPanel getPlayerPanel();

  /**
   * Sets the stones that are to be painted selected
   * 
   * @param stones
   *          the stones to be painted selected
   */
  public void setSelectedStones(Collection<Stone> stones);
}
